Bug 1280343 - Review Request: perl-Text-Bidi - Unicode bidirectional algorithm using libfribidi
Review Request: perl-Text-Bidi - Unicode bidirectional algorithm using libfri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 09:21 EST by Petr Pisar
Modified: 2015-11-16 10:14 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Text-Bidi-2.11-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 10:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-11-11 09:21:13 EST
Spec URL: https://ppisar.fedorapeople.org/perl-Text-Bidi/perl-Text-Bidi.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Text-Bidi/perl-Text-Bidi-2.11-1.fc24.src.rpm
Description:
This Perl module provides basic support for the Unicode bidirectional (Bidi)
text algorithm, for displaying text consisting of both left-to-right and
right-to-left written languages (such as Hebrew and Arabic.) It does so via
a SWIG interface file to the libfribidi library.

Fedora Account System Username: ppisar
Comment 1 Petr Pisar 2015-11-13 02:44:36 EST
I updated to package. After discussion with upstream, I install the misc/bidi file into urxvt plugin directory and I package it into a sub-package.
Comment 2 Petr Šabata 2015-11-13 08:30:53 EST
* Since you chose the pkgconfig() approach, the build dependency on
  fribidi-devel seems rather pointless.

* Data::Dumper, and version are only used by the disabled t/ucd.t test.
  You can drop these build deps for now.

* I don't think the urxvt subpackage strictly requires the base package
  in this case and were it me, I would drop this dependency.
  If you decide to do this, don't forget to add the license text to the
  subpackage as well.

* The package doesn't build in mock.
Comment 3 Upstream Release Monitoring 2015-11-13 08:37:36 EST
psabata's scratch build of perl-Text-Bidi-2.11-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11819387
Comment 4 Petr Šabata 2015-11-13 08:58:55 EST
(In reply to Petr Šabata from comment #2)
> * The package doesn't build in mock.

Correction -- sometimes it does.  It's just unpredictable.
It could have something to do with the parallel build.
Comment 5 Petr Pisar 2015-11-16 07:44:11 EST
I implemented all the changes. I kept parallel built so far.
Comment 6 Petr Šabata 2015-11-16 08:37:08 EST
Acking all the changes.
Comment 7 Gwyn Ciesla 2015-11-16 09:29:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Text-Bidi
Comment 8 Petr Pisar 2015-11-16 10:14:30 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.